Hmm... while installing works, running actually fails.

require 'diamond_shell'


"Gem::LoadError: Could not find chemistry (>= 1.0.0) amongst "

This is a problem. I know that chemistry is not mandatory at all, yet it 
seems as if gem will try to always ensure that it is available. And if 
it is not available, it will refuse to run.

At home on my linux machine it works just fine for me. I don't use gem 
directly though, I use setup.rb.

I am here on a windows machine right now and it is bad that gem refuses 
to continue ... I wrote the project myself, I know that chemistry is not 
mandatory for all components.

Unfortunately I also can not modify rubygems or ruby on that windows 
machine here, so I guess I am stuck. :(

-- 
Posted via http://www.ruby-forum.com/.